Debian Bug report logs - #570904
fstab informational header is wrong in squeeze/sid

version graph

Package: partman-target; Maintainer for partman-target is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-target is src:partman-target.

Reported by: Dennis Sheil <dennisdebian@vartmp.com>

Date: Mon, 22 Feb 2010 05:27:01 UTC

Severity: minor

Merged with 608996

Found in version partman-target/64

Fixed in version partman-target/72

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#570904; Package partman-target. (Mon, 22 Feb 2010 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Sheil <dennisdebian@vartmp.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Feb 2010 05:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Sheil <dennisdebian@vartmp.com>
To: submit@bugs.debian.org
Subject: fstab informational header is wrong in squeeze/sid
Date: Mon, 22 Feb 2010 00:23:34 -0500
Package: partman-target
Version: 64

I just installed Debian squeeze for i386 from the ISO for this.  The
file /etc/fstab contains incorrect information in the header.

I downloaded the partman-target source to have a look at the problem.
In the file partman-target-64/finish.d/create_fstab_header, I see the
lines:

cat >/target/etc/fstab <<EOF
# /etc/fstab: static file system information.
#
# Use 'vol_id --uuid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
EOF

The program referenced in the header, vol_id, exists in lenny (stable)
as part of the udev (0.125-7+lenny3) package.  The program vol_id
does not exist for squeeze (unstable) or for sid (testing) as part of
the udev (151-2) package for any of the supported architectures.
While the header information in partman-target is correct for
lenny/stable, it is incorrect for squeeze and sid - the vol_id program
no longer exists.

As vol_id no longer exists on squeeze, I used "blkid", which is part
of the util-linux package, to find out what the UUIDs of my disk
partitions were.




Forcibly Merged 570904 608996. Request was from Dennis Sheil <dennisdebian@vartmp.com> to control@bugs.debian.org. (Fri, 04 Feb 2011 12:12:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Mar 2011 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:48:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.